Articles of homebrew

Gli script "config" esistono al di fuori del proprio sistema o directory Homebrew

Sto attualmente utilizzando pyenv e pyenv-virtualenv , che ho installato tramite Homebrew . Ho aggiunto if which pyenv > /dev/null; then eval "$(pyenv init -)"; fi if which pyenv > /dev/null; then eval "$(pyenv init -)"; fi if which pyenv > /dev/null; then eval "$(pyenv init -)"; fi per consentire lo spostamento e l'autocompletamento e […]

Come modificare la posizione predefinita di GNK Make's (default) di gcc

Ho eseguito Mac OS X El Capitan 10.4. Ho usato brew per installare gli strumenti di compilazione ( https://www.topbug.net/blog/2013/04/14/install-and-use-gnu-command-line-tools-in-mac-os-x/ ) . Ora quando eseguo fare, aggiunge ancora: /Applications/Xcode.app/Contents/Developer/usr/bin/g++ -c -pipe -stdlib=libc++ -fstack-protector-all –param ssp-buffer-size=1 -O2 -std=gnu++11 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk -mmacosx-version-min=10.7 -pthread -fdiagnostics-show-option -Wall -Wextra -Wno-ignored-qualifiers -Wformat -Wformat-security -Wno-unused-parameter -Wstack-protector -fPIC -DENABLE_WALLET -DBOOST_THREAD_USE_LIB -DBOOST_SPIRIT_THREADSAFE -DUSE_NATIVE_I2P -DUSE_NUM_NONE -DUSE_FIELD_INV_BUILTIN […]

ld: libreria non trovata per -lgcc

Dopo brew upgrade each volta che cerco di compilare un file .c , ottengo il seguente errore: ld: library not found for -lgcc collect2: error: ld returned 1 exit status I wrapper come mpicc funzionano comunque. Ho provato a ricongiungere con brew link –overwrite gcc , ma non ho avuto risultati di lavoro, in quanto […]

Ricetta Homebrew senza url

È ansible creare una formula Homebrew che non necessita di un URL da scaricare? Nel mio caso la ricetta dipende solo da altre ricette e installa uno script shell specifico per homebrew. class Test < Formula desc "Test" homepage "https://test.com" version "1.0" depends_on "yschimke/tap/oksocial" def install (bin+"textksocial").write <<-EOS.undent #!/bin/sh echo Hello EOS end end Ma […]

Problemi con l'installazione di Social Engineering Toolkit (SET)

Sto cercando di installare Social Engineering Toolkit (SET) su OS X Lion. Ho trovato questi comandi in internet: git clone https://github.com/trustedsec/social-engineer-toolkit cd social-engineer-toolkit python setup.py install setoolkit Ma dopo che faccio python setup.py install mi dà questa output: Saffet-iMac:social-engineer-toolkit SaffetYurtoglu$ python3 setup.py install Searching for pexpect Best match: pexpect 4.2.0 Adding pexpect 4.2.0 to easy-install.pth […]

Come scoprire perché il cercatore si blocca quando "come elenco" / "come colonne" / "come copertura di copertura" su Yosemite

Dopo un po 'di tempo, View -> as List e View -> as Columns e View – as Cover Flow smette di funzionare: la window del Finder non verrà aggiornata affatto, oppure – per la Cover Flow la parte "selezione" non mostra una selezione ma il Cover Flow stesso seguirà i cambi di selezione. Una […]

Homebrew nel profilo bash

Sto avendo un problema con il mio profilo bash sul mio mac. Dato quanto segue dal mio .bash_profile FOO="$(brew –prefix coreutils)/libexec/gnubin" BAR="$(brew –prefix ruby)/bin" BAZ="$(brew –prefix python)/bin" La prima row completa con successo, ma le due seguenti righe printingno il seguente errore quando inizio il terminal -bash: brew: command not found Quando brew –prefix ruby […]

proxychains improvvisamente smesso di lavorare

Quando eseguo un programma con proxychains , mostro un errore come sotto: %> proxychains brew update [proxychains] DLL init: proxychains-ng 4.11 [proxychains] DLL init: proxychains-ng 4.11 dyld: warning: could not load inserted library '/usr/local/homebrew/Cellar/proxychains-ng/4.11/lib/libproxychains4.dylib' into library validated process because no suitable image found. Did find: /usr/local/homebrew/Cellar/proxychains-ng/4.11/lib/libproxychains4.dylib: mmap() error 1 at address=0x10E5A3000, size=0x00006000 segment=__TEXT in Segment::map() […]

os 10.11.6 errore di installazione dell'installazione pip

Sono un principiante CS che tiene corsi di udemy pitone e cerca di installare pip in modo da usare matplotlib, panda e così via in pylab. Utilizzo IDLE 3.4.2 e la versione più recente di Pycharm Provato 1. "pip installed pylab" la versione non soddisfa il requisito pilab, nessuna distribuzione corrispondente trovata per pilab; 2.come […]

mysql non può iniziare: Simbolo non trovato: _clock_gettime

Ho appena fatto una nuova installazione di mysql con homebrew, quando lo inizio, dice %> /usr/local/homebrew/bin/mysqld dyld: lazy symbol binding failed: Symbol not found: _clock_gettime Referenced from: /usr/local/homebrew/bin/mysqld Expected in: /usr/lib/libSystem.B.dylib dyld: Symbol not found: _clock_gettime Referenced from: /usr/local/homebrew/bin/mysqld Expected in: /usr/lib/libSystem.B.dylib Trace/BPT trap: 5 Qualche idea?